/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.dto.planSceneCase;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.executePlan.db.entity.AtuPlanSceneCaseTask;
import net.northking.cctp.executePlan.dto.planTask.SceneNodeDto;

import java.io.Serializable;
import java.util.List;

/**
* Restful接口--资源详情--数据传输对象：计划场景用例节点任务表
*
* createdate:  2022-12-06 11:32:04  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "计划场景用例节点任务表")
public class AtuPlanSceneCaseTaskDetailDto extends AtuPlanSceneCaseTask implements Serializable
{
    @ApiModelProperty("脚本编号")
    private String scriptCode;

    @ApiModelProperty("环境名称")
    private String envName;

    @ApiModelProperty("视频地址")
    private List<SceneNodeDto> sceneData;

    @ApiModelProperty("当前直播是否为接口用例")
    private boolean apiCase = false;

    public String getScriptCode() {
        return scriptCode;
    }

    public void setScriptCode(String scriptCode) {
        this.scriptCode = scriptCode;
    }

    public List<SceneNodeDto> getSceneData() {
        return sceneData;
    }

    public void setSceneData(List<SceneNodeDto> sceneData) {
        this.sceneData = sceneData;
    }

    public boolean isApiCase() {
        return apiCase;
    }

    public void setApiCase(boolean apiCase) {
        this.apiCase = apiCase;
    }

    public String getEnvName() {
        return envName;
    }

    public void setEnvName(String envName) {
        this.envName = envName;
    }
}